2024-03-01 05:35 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005319CenterCourt2[WHDLoad Installs Games] slavepublic2021-07-29 23:35
ReporterRetroplay 
Assigned ToJOTDProject InfoCenter Court 2 (G. Fritsch)
http://www.whdload.de/games/CenterCourt2.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0005319: Center Court 2 (AGA) stuck on blank screen.
Descriptionhttp://www.whdload.de/games/CenterCourt2.html
I used the files from here:
http://aminet.net/package/game/misc/CenterCourt2

Added diskfont.library from my OS3.1 install to /data/libs/diskfont.library as instructed in readme.





Game just hangs on a blank screen, no crashes, I can quit back to Workbench.

Steps To ReproduceRun the slave, game gets stuck on blank screen.
No crashes and I can quit back to Workbench.
Additional InformationI used the files from here:
http://aminet.net/package/game/misc/CenterCourt2

TagsNo tags attached.
MachineUAE
CPU68030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad18.7beta
imported
Attached Files
  • ? file icon .whdl_log (2,500 bytes) 2021-07-26 15:05 -
    ******* 26-Jul-21 15:00:33 ******* CenterCourt2AGA.slave ******* 18.7.6296 *******
    [000] [Examine] buf=$47F74398  type= 0  size=$    0=     0  rc=205  name=L
    [001] [Examine] buf=$47F74398  type= 2  size=$    0=     0  rc=0  name=
    [002] [Examine] buf=$47F744A0  type= 0  size=$    0=     0  rc=205  name=FONTS
    [003] [Examine] buf=$47F744A0  type= 2  size=$    0=     0  rc=0  name=
    [004] [Examine] buf=$47F7DEF0  type= 0  size=$    0=     0  rc=205  name=DEVS
    [005] [Examine] buf=$47F7DEF0  type= 2  size=$    0=     0  rc=0  name=
    [006] [Examine] buf=$47F7E028  type= 2  size=$    0=     0  rc=0  name=LIBS
    [007] [Examine] buf=$47F7E178  type= 0  size=$    0=     0  rc=205  name=S
    [008] [Examine] buf=$47F7E178  type= 2  size=$    0=     0  rc=0  name=
    [009] [Examine] buf=$47F7FCE0  type= 0  size=$    0=     0  rc=205  name=C
    [010] [Examine] buf=$47F7FCE0  type= 2  size=$    0=     0  rc=0  name=
    [011] [Examine] buf=$47F7FDE8  type= 2  size=$    0=     0  rc=0  name=
    [012] [Examine] buf=$47F7FF38  type= 2  size=$    0=     0  rc=0  name=
    [013] [Examine] buf=$47F82FD0  type= 0  size=$    0=     0  rc=205  name=system-configuration
    [014] [Examine] buf=$47F866C8  type= 2  size=$    0=     0  rc=0  name=
    [015] [Examine] buf=$47F877D8  type=-3  size=$ 3BEC= 15340  rc=0  name=libs/diskfont.library
    [016] [Examine] buf=$47F87808  type=-3  size=$ 477C= 18300  rc=0  name=tennis_organizer
    [017] [ReadOff] crc=385C  dest=$47F87CF8  size=$ 2710= 10000  name=tennis_organizer  offset=$    0
    [018] [ReadOff] crc=6206  dest=$47F87CF8  size=$ 206C=  8300  name=tennis_organizer  offset=$ 2710
    [019] [Examine] buf=$47F92348  type=-3  size=$ F590= 62864  rc=0  name=tennis_intro
    [020] [Examine] buf=$47F92398  type=-3  size=$ F590= 62864  rc=0  name=tennis_intro
    [021] [ReadOff] crc=AB6D  dest=$47F92888  size=$ 2710= 10000  name=tennis_intro  offset=$    0
    [022] [ReadOff] crc=F73B  dest=$47F97690  size=$ C060= 49248  name=tennis_intro  offset=$ 2710
    [023] [ReadOff] crc=83B6  dest=$47F92888  size=$  E20=  3616  name=tennis_intro  offset=$ E770
    [024] [Examine] buf=$47F92378  type=-3  size=$ F590= 62864  rc=0  name=tennis_intro
    [025] [Examine] buf=$47F92480  type= 2  size=$    0=     0  rc=0  name=
    [026] [Examine] buf=$47F946C8  type=-3  size=$ 3BEC= 15340  rc=0  name=LIBS/diskfont.library
    [027] [ReadOff] crc=5C4C  dest=$47FA7800  size=$ 2710= 10000  name=LIBS/diskfont.library  offset=$    0
    [028] [ReadOff] crc=A799  dest=$47FA7800  size=$ 14DC=  5340  name=LIBS/diskfont.library  offset=$ 2710
    ? file icon .whdl_log (2,500 bytes) 2021-07-26 15:05 +

-Relationships
+Relationships

-Notes

note ~0010609

JOTD (developer)

can you enable FILELOG and quit, and attach the filelog?

note ~0010615

Retroplay (reporter)

Filelog attached.

The game runs fine directly without WHDLoad.

Only thing I had to do was to set "protect +rwed all" because the files in the zipped archive on Aminet weren't set as executable for some odd reason.

note ~0010619

StingRay (developer)

"because the files in the zipped archive on Aminet weren't set as executable"

That's a ZIP bug, it doesn't handle the protection flags properly.

note ~0010620

Retroplay (reporter)

That's what I thought as well and serves as yet another example why zip should be avoided at all costs when dealing with Amiga files.

I've zoned the game at EAB as an lha archive with protection flags properly stored.

note ~0010634

Retroplay (reporter)

Never mind, OS1.3 diskfont.library works.
It being an install for AGA version, it never occurred to me that 1.3 would work.

This is now "fixed" and can be closed.
+Notes

-Issue History
Date Modified Username Field Change
2021-07-26 04:17 Retroplay New Issue
2021-07-26 08:50 JOTD Note Added: 0010609
2021-07-26 08:51 JOTD Assigned To => JOTD
2021-07-26 08:51 JOTD Status new => feedback
2021-07-26 11:42 Wepl Project WHDLoad Installs Games => CenterCourt2
2021-07-26 15:05 Retroplay Note Added: 0010615
2021-07-26 15:05 Retroplay Status feedback => assigned
2021-07-26 15:05 Retroplay File Added: .whdl_log
2021-07-26 17:58 StingRay Note Added: 0010619
2021-07-26 18:20 Retroplay Note Added: 0010620
2021-07-29 16:38 Retroplay Note Added: 0010634
2021-07-29 23:35 JOTD Status assigned => closed
2021-07-29 23:35 JOTD Resolution open => fixed
+Issue History